Bug 625603 - Review Request: libaacs - Open implementation of AACS specification
Review Request: libaacs - Open implementation of AACS specification
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 625602
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2010-08-19 18:09 EDT by Xavier Bachelot
Modified: 2010-10-13 16:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-13 16:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2010-08-19 18:09:34 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/libaacs.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/libaacs-0.1-0.1.20100817.fc13.src.rpm
Description: 
This library is an open implementation of the AACS specification.
Comment 1 Xavier Bachelot 2010-08-19 18:17:09 EDT
This library can be dlopen'ed by libbluray if present and allows decryption of AACS protected bluray disc. The keys are NOT provided. As this is probably a controversial matter, I added a blocker on FE-LEGAL.
Comment 2 Tom "spot" Callaway 2010-08-20 10:56:17 EDT
I'm not sure how we could ever permit this in Fedora, it has the same issues that decss does.
Comment 3 Xavier Bachelot 2010-09-17 05:28:00 EDT
Hi Legal team, any update on this ?
Comment 4 Tom "spot" Callaway 2010-09-17 09:18:23 EDT
Not yet. When I get back in the US, I'll talk to Red Hat Legal.
Comment 5 Xavier Bachelot 2010-09-17 10:47:05 EDT
Thanks for the update, Spot.
Comment 6 Xavier Bachelot 2010-10-13 03:36:06 EDT
Hi Spot, Legal team,

Just a gentle reminder, is there any update on this ? I know you're all very busy, but this bug is stalled for almost 2 months now.

Regards,
Xavier
Comment 7 Tom "spot" Callaway 2010-10-13 11:21:26 EDT
As expected, Red Hat Legal says no.
Comment 8 Xavier Bachelot 2010-10-13 13:33:37 EDT
I'll find somewhere else to host this package. Thanks for checking Spot.
Shouldn't this bug be Closed/Can't fix now ?

Also, what about libbluray ? This one should be ok for Fedora.
https://bugzilla.redhat.com/show_bug.cgi?id=625602
Comment 9 Chris Adams 2010-10-13 16:14:40 EDT
I'm curious if a reason was given for the rejection.  AFAIK this does NOT have the same issues as decss; that was claimed as a trade secret, while AACS is a published spec, using encryption that is already in Fedora (AES).  The library doesn't include any keys, nor does it do anything like the decss library (brute forces keys).
Comment 10 Tom "spot" Callaway 2010-10-13 16:34:33 EDT
Unfortunately, you have a slightly better chance of winning the Powerball Lottery than you do of getting Red Hat Legal to elaborate here.

Apologies in advance. I'm closing this one out, so no one gets their hopes up.

Note You need to log in before you can comment on or make changes to this bug.